本文整理汇总了C#中Form.MoveProfile方法的典型用法代码示例。如果您正苦于以下问题:C# Form.MoveProfile方法的具体用法?C# Form.MoveProfile怎么用?C# Form.MoveProfile使用的例子?那么恭喜您, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在类Form
的用法示例。
在下文中一共展示了Form.MoveProfile方法的1个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C#代码示例。
示例1: MoveProfile
/// <summary>
/// Move the profile
/// </summary>
/// <param name="form">The form contains the edge</param>
/// <param name="profileIndex">Index of the profile to be moved</param>
private void MoveProfile(Form form, int profileIndex)
{
Autodesk.Revit.DB.XYZ offset = new Autodesk.Revit.DB.XYZ (0, 0, 5);
if (form.CanManipulateProfile(profileIndex))
{
form.MoveProfile(profileIndex, offset);
}
}